const familyForm = document.getElementById('familyForm');
const treeContainer = document.getElementById('treeContainer');

const jobs = [
  'Butcher', 'Blacksmith', 'Medic', 'Librarian', 'Trainer', 
  'Guard', 'Sweeper', 'Host', 'Merchant', 'Administration', 
  'Sewer', 'Lumberjack', 'Miner', 'Tailor'
];

function getRandomJob() {
  return jobs[Math.floor(Math.random() * jobs.length)];
}

function generateFamilyTree(familyName, firstName) {
  const grandfather = {
    name: `Grandfather ${familyName}`,
    age: Math.floor(Math.random() * 11) + 60,
    occupation: getRandomJob(),
    relation: 'Grandfather'
  };

  const grandmother = {
    name: `Grandmother ${familyName}`,
    age: Math.floor(Math.random() * 11) + 60,
    occupation: getRandomJob(),
    relation: 'Grandmother'
  };

  const father = {
    name: `Father ${familyName}`,
    age: Math.floor(Math.random() * 11) + 30,
    occupation: getRandomJob(),
    relation: 'Father'
  };

  const mother = {
    name: `Mother ${familyName}`,
    age: Math.floor(Math.random() * 11) + 30,
    occupation: getRandomJob(),
    relation: 'Mother'
  };

  const uncle = {
    name: `Uncle ${familyName}`,
    age: Math.floor(Math.random() * 11) + 30,
    occupation: getRandomJob(),
    relation: 'Uncle'
  };

  const aunt = {
    name: `Aunt ${familyName}`,
    age: Math.floor(Math.random() * 11) + 30,
    occupation: getRandomJob(),
    relation: 'Aunt'
  };

  const brother = {
    name: `Brother ${familyName}`,
    age: Math.floor(Math.random() * 11) + 10,
    occupation: Math.random() > 0.5 ? 'Student at the Academy' : 'Training as a Civilian',
    relation: 'Brother'
  };

  const sister = {
    name: `Sister ${familyName}`,
    age: Math.floor(Math.random() * 11) + 10,
    occupation: Math.random() > 0.5 ? 'Student at the Academy' : 'Training as a Civilian',
    relation: 'Sister'
  };

  const cousin = {
    name: `Cousin ${familyName}`,
    age: Math.floor(Math.random() * 11) + 10,
    occupation: Math.random() > 0.5 ? 'Student at the Academy' : 'Training as a Civilian',
    relation: 'Cousin'
  };

  const treeHTML = `
    <div class="generation">
      <div class="member">
        <h3>${grandfather.name}</h3>
        <p>Age: ${grandfather.age}</p>
        <p>Occupation: ${grandfather.occupation}</p>
        <p>Relation: ${grandfather.relation}</p>
      </div>
      <div class="member">
        <h3>${grandmother.name}</h3>
        <p>Age: ${grandmother.age}</p>
        <p>Occupation: ${grandmother.occupation}</p>
        <p>Relation: ${grandmother.relation}</p>
      </div>
    </div>
    <div class="line vertical-line"></div>
    <div class="generation">
      <div class="member">
        <h3>${father.name}</h3>
        <p>Age: ${father.age}</p>
        <p>Occupation: ${father.occupation}</p>
        <p>Relation: ${father.relation}</p>
      </div>
      <div class="member">
        <h3>${mother.name}</h3>
        <p>Age: ${mother.age}</p>
        <p>Occupation: ${mother.occupation}</p>
        <p>Relation: ${mother.relation}</p>
      </div>
      <div class="member">
        <h3>${uncle.name}</h3>
        <p>Age: ${uncle.age}</p>
        <p>Occupation: ${uncle.occupation}</p>
        <p>Relation: ${uncle.relation}</p>
      </div>
      <div class="member">
        <h3>${aunt.name}</h3>
        <p>Age: ${aunt.age}</p>
        <p>Occupation: ${aunt.occupation}</p>
        <p>Relation: ${aunt.relation}</p>
      </div>
    </div>
    <div class="line vertical-line"></div>
    <div class="generation">
      <div class="member">
        <h3>${brother.name}</h3>
        <p>Age: ${brother.age}</p>
        <p>Occupation: ${brother.occupation}</p>
        <p>Relation: ${brother.relation}</p>
      </div>
      <div class="member">
        <h3>${sister.name}</h3>
        <p>Age: ${sister.age}</p>
        <p>Occupation: ${sister.occupation}</p>
        <p>Relation: ${sister.relation}</p>
      </div>
      <div class="member">
        <h3>${cousin.name}</h3>
        <p>Age: ${cousin.age}</p>
        <p>Occupation: ${cousin.occupation}</p>
        <p>Relation: ${cousin.relation}</p>
      </div>
    </div>
  `;

  treeContainer.innerHTML = treeHTML;
}

familyForm.addEventListener('submit', (e) => {
  e.preventDefault();
  const familyName = document.getElementById('familyName').value;
  const firstName = document.getElementById('firstName').value;
  generateFamilyTree(familyName, firstName);
});